Crear un nuevo cliente padre
curl --request POST \
--url https://api.raul.ugps.io/api/v1/client_father/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fatherName": "Empresa Matriz SA",
"fantasyName": "<string>",
"rut": "12.345.678-9",
"email": "contacto@empresa.cl",
"phone": "<string>",
"factura": true,
"ordenCompra": true,
"requiresHes": true,
"childrenIds": [
"uuid1",
"uuid2"
]
}
'import requests
url = "https://api.raul.ugps.io/api/v1/client_father/create"
payload = {
"fatherName": "Empresa Matriz SA",
"fantasyName": "<string>",
"rut": "12.345.678-9",
"email": "contacto@empresa.cl",
"phone": "<string>",
"factura": True,
"ordenCompra": True,
"requiresHes": True,
"childrenIds": ["uuid1", "uuid2"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fatherName: 'Empresa Matriz SA',
fantasyName: '<string>',
rut: '12.345.678-9',
email: 'contacto@empresa.cl',
phone: '<string>',
factura: true,
ordenCompra: true,
requiresHes: true,
childrenIds: ['uuid1', 'uuid2']
})
};
fetch('https://api.raul.ugps.io/api/v1/client_father/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"idFather": "<string>",
"fatherName": {},
"fantasyName": {},
"rut": {},
"email": {},
"phone": {},
"factura": {},
"ordenCompra": {},
"requiresHes": {},
"createdAt": {},
"updatedAt": {},
"clientsChildrens": [
{
"clientId": "<string>",
"clientName": {},
"rut": {},
"typeOfContractId": {},
"sellerId": {},
"sellerName": {}
}
]
}Client Father
Crear un nuevo cliente padre
Operacion: Crear un nuevo cliente padre.
POST
/
api
/
v1
/
client_father
/
create
Crear un nuevo cliente padre
Authorizations
Bearer token authentication
Body
application/json
Nombre del cliente padre
Example:
"Empresa Matriz SA"
Nombre de fantasía
RUT
Example:
"12.345.678-9"
Example:
"contacto@empresa.cl"
Teléfono
Requiere factura
Requiere orden de compra
Requiere HES
IDs de clientes hijos a asociar
Example:
["uuid1", "uuid2"]Response
201 - application/json
Cliente padre creado exitosamente
ID del cliente padre
Nombre del cliente padre
Nombre de fantasía
RUT
Teléfono
Requiere factura
Requiere orden de compra
Requiere HES
Fecha de creación
Fecha de actualización
Lista de clientes hijos
Show child attributes
Show child attributes
⌘I